0 votes

I've been trying to update global variables in scenarios. But I kept getting the error: "java.lang.SecurityException
You may not update global variables".

This is how I am setting the variables. How should I fix the issue? Thanks!

by

1 Answer

0 votes
Hi,

The error most likely indicates that you don not have DSS admin rights.
Other than becoming an admin on the platform, you can ask your admin to run the scenario for you making sure to select the admin name in the "Run as" field in the scenario settings.
An alternative you could explore, depending on the use case at hand,  are Project Variables
Best,

Jean-Yves
by
edited by
1,299 questions
1,327 answers
1,507 comments
11,865 users

┬ęDataiku 2012-2018 - Privacy Policy